%define name	icecast
%define version	1.3.12
%define release 1fm

Summary:	Streaming Media Server
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
License:	GPL
Packager:	S Yoder <computer AT flatmtn DOT com>
Vendor:		Icecast.org
URL:		http://www.icecast.org
Source0:	http://www.icecast.org/releases/%{name}-%{version}.tar.bz2
Source1:	%{name}.initd
Patch0:		icecast-1.3.12-errno.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Icecast is an Internet based broadcasting system based on the Mpeg Layer III
streaming technology.  It was originally inspired by Nullsoft's Shoutcast
and also mp3serv by Scott Manley.  The icecast project was started for several
reasons: a) all broadcasting systems were pretty much closed source,
non-free software implementations, b) Shoutcast doesn't allow you to run your
own directory servers, or support them, and c) we thought it would be a
lot of fun.

%prep
%setup -q
%patch0 -p0
cp %{SOURCE1} %{name}

%build
# readline compile here is fucked
if [ ! -f configure ]; then
  CFLAGS="%{optflags}" ./autogen.sh --prefix=%{_prefix} --enable-fsstd --enable-libwrap \
	--without-readline --libdir=%{_libdir}
else
  CFLAGS="%{optflags}" ./configure --prefix=%{_prefix} --enable-fsstd --enable-libwrap \
	--without-readline --libdir=%{_libdir}
fi
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# copy the configuration files to be the right name so that it works without 
# _having_ # to change them (though they should), and leave the defaults so 
# they don't screw with them
cp $RPM_BUILD_ROOT%{_sysconfdir}/icecast/icecast.conf.dist $RPM_BUILD_ROOT%{_sysconfdir}/icecast/icecast.conf
cp $RPM_BUILD_ROOT%{_sysconfdir}/icecast/groups.aut.dist $RPM_BUILD_ROOT%{_sysconfdir}/icecast/groups.aut
cp $RPM_BUILD_ROOT%{_sysconfdir}/icecast/mounts.aut.dist $RPM_BUILD_ROOT%{_sysconfdir}/icecast/mounts.aut
cp $RPM_BUILD_ROOT%{_sysconfdir}/icecast/users.aut.dist $RPM_BUILD_ROOT%{_sysconfdir}/icecast/users.aut

# remove docs that are in "wrong" location
rm -rf %{buildroot}/usr/doc

# install init.d script
install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_initrddir}

%clean
rm -rf $RPM_BUILD_ROOT

# Create or delete user, chkconfig, reload or stop
%pre
if [ $1 = 1 ] ; then  # first install
	/usr/sbin/useradd -d %{_datadir}/%{name} -s /bin/bash -r %{name} 2> /dev/null || :
fi

%post
if [ $1 = 1 ] ; then  # first install
	/sbin/chkconfig --add %{name}
fi
if [$1 > 1 ] ; then # upgrade
	/sbin/service %{name} restart
fi

%preun
if [ $1 = 0 ] ; then # last uninstall
	/sbin/service %{name} stop > /dev/null 2>&1
	/sbin/chkconfig --del %{name}
fi

%postun
/usr/sbin/userdel %{name}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING FAQ README TESTED TODO
%doc doc/manual.html
%{_sbindir}/icecast
%{_datadir}/icecast/
%attr(-,icecast,icecast) /var/log/icecast
#/var/log/icecast
%{_sysconfdir}/icecast/groups.aut.dist
%{_sysconfdir}/icecast/mounts.aut.dist
%{_sysconfdir}/icecast/users.aut.dist
%{_sysconfdir}/icecast/icecast.conf.dist
%config(noreplace) %{_sysconfdir}/icecast/groups.aut
%config(noreplace) %{_sysconfdir}/icecast/mounts.aut
%config(noreplace) %{_sysconfdir}/icecast/users.aut
%config(noreplace) %{_sysconfdir}/icecast/icecast.conf
%{_initrddir}/%{name}

%changelog
* Mon Nov 24 2003 S Yoder <computer AT flatmtn DOT com>
- modified spec slightly
- added init.d script and user to run as if called via init.d
- rebuilt on RedHat 9 (shrike)

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.12-3mdk
- build release
- removed Packager as it's set by your ~/.rpmmacros file
- fix configure-without-libdir-spec
- added P0
- remove wrongly installed docs
- misc spec file fixes

* Mon Sep  9 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.3.12-2mdk
- added Packager

* Thu Apr 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.3.12-1mdk
- 1.3.12
- add noreplace to %%config

* Tue Aug 14 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.3.11-1mdk
- updated to 1.3.11

* Wed Aug 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.10-2mdk
- rebuild

* Thu Jun 14 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.3.10-1mdk
- updated to 1.3.10

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.8.beta2-1mdk
- updated to 1.3.8.beta2

* Wed Sep 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.7-2mdk
- BM
- macros

* Fri Jul 07 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.3.7-1mdk
- mandrake-ize package

* Tue Mar 21 2000 Jeremy Katz <katzj@icecast.org>
- clean up the spec file a little

* Thu Dec 9 1999 Jeremy Katz <katzj@icecast.org>
- First official rpm build, using 2.0.0-beta

